Skip to content

GET /v1/auth/profile

Returns the authenticated user’s wallet info, 30-day rolling trade volume and current fee tier.

  • Method: GET
  • Path: /v1/auth/profile
Authorization: Bearer api_your_key_here
{
"success": true,
"data": {
"walletAddress": "A8klj...",
"createdAt": "2026-01-15T12:00:00Z",
"volume": {
"sol30d": 842.5,
"trades30d": 217
},
"fee": {
"bps": 50,
"decimal": 0.005,
"nextBps": 45,
"nextThresholdSol": 1000
}
}
}
  • fee.bps — current platform fee in basis points (e.g. 50 = 0.5%)
  • fee.decimal — current platform fee as a decimal (e.g. 0.005 = 0.5%)
  • fee.nextBps / fee.nextThresholdSol — next tier you can unlock.
  • Tiers recompute nightly at 00:00 UTC.

Your fee is determined by your 30-day rolling trade volume. Tiers are recomputed every night at 00:00 UTC and applied to your profile automatically.

30d VolumeFee
< 1,000 SOL0.50% (50 bps)
≥ 1,000 SOL0.45% (45 bps)
≥ 10,000 SOL0.35% (35 bps)
≥ 50,000 SOL0.25% (25 bps)
≥ 100,000 SOL0.20% (20 bps)
≥ 250,000 SOLCustom

See Pricing for full details.